#
# spec file for package rubygem-unicode-display_width
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-unicode-display_width
Version:        2.5.0
Release:        1.4
%define mod_name unicode-display_width
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/janlelis/unicode-display_width
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Determines the monospace display width of a string in Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
[Unicode 15.0.0] Determines the monospace display width of a string using
EastAsianWidth.txt, Unicode general category, and other data.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Oct 13 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 2.5.0
  [#]# 2.5.0
  - Unicode 15.1
* Sat Sep  2 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 2.4.2
  [#]# 2.4.2
  More performance improvements:
  - Optimize lookup of first 4096 codepoints
  - Avoid overwrite lookup if no overwrites are set
  [#]# 2.4.1
  - Improve general performance!
  - Further improve performance for ASCII strings
  [#]# 2.4.0
  - Improve performance for ASCII-only strings, by @fatkodima
  - Require Ruby 2.4
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.0
  see installed CHANGELOG.md
  [#]# 2.3.0
  - Unicode 15.0
* Wed Jun 29 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.2.0
  * Add *Hangul Jamo Extended-B* block to zero-width chars, thanks @ninjalj #22
* Sat Oct  9 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.1.0
  * Unicode 14.0
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.0
  see installed CHANGELOG.md
  [#]# 2.0.0
  - Release 2.0.0
  - Supports Ruby 3.0
  [#]# 2.0.0.pre2
  - Update 2.0 branch to Unicode 13
  [#]# 2.0.0.pre1
  Will be published as non-pre version on rubygems.org when Ruby 3.0 is released (December 2020)
  - Introduce new class-based API, which remembers your string-width configuration. See README for details.
  - Remove auto-loading of string extension
  - You can: `require "unicode/display_width/string_ext"` to continue to use the string extension
  - The manual opt-out `require "unicode/display_width/no_string_ext"` is not needed anymore and will
    issue a warning in the future
  - Remove (already deprecated) String#display_size and String#display_width aliases
  Refactorings / Internal Changes:
  - Freeze string literals
  - The Unicode::DisplayWidth now is class, instead of a module, this enables the new config-object API
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.7.0
  see installed CHANGELOG.md
  [#]# 1.7.0
  - Unicode 13
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.1
  see installed CHANGELOG.md
  [#]# 1.6.1
  - Fix that ambiguous and overwrite options where ignored for emoji-measuring
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.6.0
  see installed CHANGELOG.md
  [#]# 1.6.0
  - Unicode 12.1
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.5.0
  see installed CHANGELOG.md
  [#]# 1.5.0
  - Unicode 12
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.1
  see installed CHANGELOG.md
  [#]# 1.4.1
  - Only bundle required lib/* and data/* files in actual rubygem, patch by @tas50
* Tue Jun  5 2018 factory-auto@kulow.org
- updated to version 1.4.0
  see installed CHANGELOG.md
  [#]# 1.4.0
  - Unicode 11
* Tue May 29 2018 factory-auto@kulow.org
- updated to version 1.3.3
  see installed CHANGELOG.md
* Mon May 28 2018 factory-auto@kulow.org
- updated to version 1.3.3
  see installed CHANGELOG.md
  [#]# 1.3.3
  - Replace Gem::Util.gunzip with direct zlib implementation
    This removes the dependency on rubygems, fixes #17
* Fri Apr 20 2018 factory-auto@kulow.org
- updated to version 1.3.2
  see installed CHANGELOG.md
* Fri Apr 20 2018 factory-auto@kulow.org
- updated to version 1.3.2
  see installed CHANGELOG.md
  [#]# 1.3.2
  - Explicitly load rubygems/util, fixes regression in 1.3.1 (autoload issue)
  [#]# 1.3.1
  - Use `Gem::Util` for `gunzip`, removes deprecation warning, patch by @Schwad
* Wed Jun 21 2017 bgeuken@suse.com
- Updated to version 1.3.0. From the changelog:
  * Unicode 10
* Thu Apr 13 2017 coolo@suse.com
- updated to version 1.2.1
  CHANGELOG.txt removed upstream
* Sun Apr  9 2017 coolo@suse.com
- updated to version 1.2.0
  see installed CHANGELOG.txt
  [#]# 1.2.0
  - Add zero-width codepoint ranges: U+2060..U+206F, U+FFF0..U+FFF8, U+E0000..U+E0FFF
  - Add full-witdh codepoint ranges: U+3400..U+4DBF, U+4E00..U+9FFF, U+F900..U+FAFF, U+20000..U+2FFFD, U+30000..U+3FFFD
  - Experimental emoji support using the [unicode-emoji](https://github.com/janlelis/unicode-emoji) gem
  - Fix minor bug in index compression scheme
* Sat Jan 14 2017 coolo@suse.com
- updated to version 1.1.3
  see installed CHANGELOG.txt
  [#]# 1.1.3
  - Fix that non-UTF-8 encodings do not throw errors, patch by @windwiny
* Sat Dec 10 2016 coolo@suse.com
- updated to version 1.1.2
  see installed CHANGELOG.txt
  [#]# 1.1.2
  - Reduce memory consumption and increase performance, patch by @rrosenblum
* Thu Sep  8 2016 coolo@suse.com
- updated to version 1.1.1
  see installed CHANGELOG.txt
  [#]# 1.1.1
  * Always load index into memory, fixes #9
* Thu Jun 23 2016 coolo@suse.com
- updated to version 1.1.0
  see installed CHANGELOG.txt
  [#]# 1.1.0
  * Support Unicode 9.0
* Sun May  1 2016 coolo@suse.com
- updated to version 1.0.5
  see installed CHANGELOG.txt
  [#]# 1.0.5
  * Actually include new index from 1.0.4
  [#]# 1.0.4
  * New index format (much smaller) and internal API changes
  * Move index generation to a builder plugin for the unicoder gem
  * No public API changes
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.0.3
  see installed CHANGELOG.txt
  [#]# 1.0.3
  * Avoid circular dependency warning
* Wed Mar 23 2016 tboerger@suse.com
- Initial packaging of 1.0.2
